Bug 216870 - databases/xtrabackup: Update to 2.4.5
Summary: databases/xtrabackup: Update to 2.4.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-07 00:11 UTC by Oleksii Samorukov
Modified: 2018-03-17 20:16 UTC (History)
6 users (show)

See Also:
yuri: maintainer-feedback+


Attachments
update to 2.4.5 (3.05 KB, patch)
2017-02-07 00:11 UTC, Oleksii Samorukov
no flags Details | Diff
xtrabackup-2.4.9 (8.84 KB, patch)
2018-03-16 23:49 UTC, Alexey Bobkov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleksii Samorukov freebsd_committer 2017-02-07 00:11:37 UTC
Created attachment 179686 [details]
update to 2.4.5

This is update to 2.4.5. Additionally boost lib added to meet specific mysql requirements.
Comment 1 Aleksandr Kuzminsky 2017-02-15 00:11:18 UTC
approved
Comment 2 Wen Heping freebsd_committer 2017-03-02 10:50:53 UTC
The build failed on FreeBSD-11 and 12(but it build on FreeBSD-10), the last lines of build log is:

--- storage/innobase/CMakeFiles/innobase_embedded.dir/all ---
--- storage/innobase/CMakeFiles/innobase_embedded.dir/buf/buf0buf.cc.o ---
[ 36%] Building CXX object storage/innobase/CMakeFiles/innobase_embedded.dir/buf/buf0buf.cc.o
cd /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase && /usr/bin/c++   -DBOOST_GEOMETRY_SQRT_CHECK_FINITENESS -DCOMPILER_HINTS -DHAVE_CONFIG_H -DHAVE_IB_ATOMIC_PTHREAD_T_GCC=1 -DHAVE_IB_GCC_ATOMIC_COMPARE_EXCHANGE=1 -DHAVE_IB_GCC_ATOMIC_THREAD_FENCE=1 -DHAVE_IB_GCC_SYNC_SYNCHRONISE=1 -DHAVE_LZ4=1 -DHAVE_NANOSLEEP=1 -DMUTEX_EVENT -DXTRABACKUP -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/include -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/extra/rapidjson/include -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/libbinlogevents/include -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/libbinlogevents/export -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/extra/lz4 -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/handler -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/sql -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/sql/auth -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/regex -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/extra/yassl/include -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/extra/yassl/taocrypt/include -O2 -pipe -fstack-protector -fno-strict-aliasing -Wall -Wextra -Wformat-security -Wvla -Woverloaded-virtual -Wno-unused-parameter -Wno-null-conversion -Wno-unused-private-field -O2 -pipe -fstack-protector -fno-strict-aliasing -DDBUG_OFF   -fPIC -o CMakeFiles/innobase_embedded.dir/buf/buf0buf.cc.o -c /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/buf/buf0buf.cc
--- storage/innobase/CMakeFiles/innobase.dir/all ---
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/buf/buf0buf.cc:33:
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include/ha_prototypes.h:32:
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include/univ.i:600:
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include/sync0types.h:32:
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include/ut0new.h:124:
/usr/include/c++/v1/map:820:5: error: implicit instantiation of undefined template '__static_assert_test<false>'
    static_assert((is_same<typename allocator_type::value_type, value_type>::value),
    ^
/usr/include/c++/v1/__config:654:35: note: expanded from macro 'static_assert'
    typedef __static_assert_check<sizeof(__static_assert_test<(__b)>)> \
                                  ^
/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/buf/buf0buf.cc:395:19: note: in instantiation of template class 'std::__1::map<const unsigned char *, buf_chunk_t *, std::__1::less<const unsigned char *>, ut_allocator<std::__1::pair<const unsigned char *, buf_chunk_t *> > >' requested here
        buf_chunk_map_reg->insert(buf_pool_chunk_map_t::value_type(
                         ^
/usr/include/c++/v1/__config:649:24: note: template is declared here
template <bool> struct __static_assert_test;
                       ^
--- storage/innobase/CMakeFiles/innobase_embedded.dir/all ---
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/buf/buf0buf.cc:33:
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include/ha_prototypes.h:32:
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include/univ.i:600:
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include/sync0types.h:32:
In file included from /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/include/ut0new.h:124:
/usr/include/c++/v1/map:820:5: error: implicit instantiation of undefined template '__static_assert_test<false>'
    static_assert((is_same<typename allocator_type::value_type, value_type>::value),
    ^
/usr/include/c++/v1/__config:654:35: note: expanded from macro 'static_assert'
    typedef __static_assert_check<sizeof(__static_assert_test<(__b)>)> \
                                  ^
/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5/storage/innobase/buf/buf0buf.cc:395:19: note: in instantiation of template class 'std::__1::map<const unsigned char *, buf_chunk_t *, std::__1::less<const unsigned char *>, ut_allocator<std::__1::pair<const unsigned char *, buf_chunk_t *> > >' requested here
        buf_chunk_map_reg->insert(buf_pool_chunk_map_t::value_type(
                         ^
/usr/include/c++/v1/__config:649:24: note: template is declared here
template <bool> struct __static_assert_test;
                       ^
--- storage/innobase/CMakeFiles/innobase.dir/all ---
1 error generated.
*** [storage/innobase/CMakeFiles/innobase.dir/buf/buf0buf.cc.o] Error code 1

make[3]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
1 error

make[3]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
*** [storage/innobase/CMakeFiles/innobase.dir/all] Error code 2

make[2]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
--- storage/innobase/CMakeFiles/innobase_embedded.dir/all ---
1 error generated.
*** [storage/innobase/CMakeFiles/innobase_embedded.dir/buf/buf0buf.cc.o] Error code 1

make[3]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
1 error

make[3]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
*** [storage/innobase/CMakeFiles/innobase_embedded.dir/all] Error code 2

make[2]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
2 errors

make[2]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
*** [all] Error code 2

make[1]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
1 error

make[1]: stopped in /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.4.5
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

would you have a test again ?

Thanks !

wen
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-16 12:17:21 UTC
Submitter feedback, please!
Comment 4 Oleksii Samorukov freebsd_committer 2018-01-24 17:35:21 UTC
Will try to take a look on this today. Sorry, been very busy
Comment 5 Yuri Victorovich freebsd_committer 2018-02-23 06:37:10 UTC
(In reply to samm from comment #4)

ping
Comment 6 Alexey Bobkov 2018-03-16 23:49:39 UTC
Created attachment 191564 [details]
xtrabackup-2.4.9

I found solution for correct building based on original Percona 5.7 Server sources and made this patch. It patches existing port to latest available version.
Comment 7 Yuri Victorovich freebsd_committer 2018-03-17 20:16:37 UTC
Committed with some changes.
Thank you for the patch!
Comment 8 commit-hook freebsd_committer 2018-03-17 20:16:53 UTC
A commit references this bug:

Author: yuri
Date: Sat Mar 17 20:16:33 UTC 2018
New revision: 464844
URL: https://svnweb.freebsd.org/changeset/ports/464844

Log:
  databases/xtrabackup: Update to 2.4.9

  Port changes:
  * Change to DISTVERSION
  * Add the specific boost version to fix build
  * Add curl to LIB_DEPENDS
  * Move bison from BUILD_DEPENDS to USES=bison
  * Add/delete patches

  PR:		216870
  Submitted by:	samm@os2.kiev.ua
  Approved by:	Aleksandr Kuzminsky <aleks@twindb.com> (maintainer)

Changes:
  head/databases/xtrabackup/Makefile
  head/databases/xtrabackup/distinfo
  head/databases/xtrabackup/files/patch-cmake-install_layout.cmake
  head/databases/xtrabackup/files/patch-libarchive-CMakeLists.txt
  head/databases/xtrabackup/files/patch-sql-json_dom.h
  head/databases/xtrabackup/files/patch-storage-innobase-buf-buf0buf.cc
  head/databases/xtrabackup/files/patch-storage-innobase-dict-dict0stats.cc
  head/databases/xtrabackup/files/patch-storage-innobase-sync-sync0debug.cc
  head/databases/xtrabackup/files/patch-storage-myisam-mi_dynrec.c